/* Google fonts */

@import url('https://fonts.googleapis.com/css?family=Open+Sans&display=swap');

/* Body */

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body{
    font-family: 'Open Sans', sans-serif;
}

/* Utility classes */

a{
    text-decoration: none;
    color: #000;
}

.s-heading {
    font-weight: bold;
    font-size: 15px;
}

.l-heading{
    font-weight: bolder;
    font-size: 33px;
    letter-spacing: 1px;
    
}

.btn-primary{
    background: #000;
    color: white;
    padding: 20px 110px;
    border-radius: 9px;
    
}

.py-1{
    padding-left: 10px;
}

.py-2{
    padding-top: 20px;
}

.p-1 {
    padding: 40px 0px;
}

.p-2{
    padding: 20px 0px;
}

.heading-secondary{
    font-weight: 600;
  
}

.heading-primary{
    font-weight: 900;
}


/* Header */

.navbar {
    display: flex;
    padding: 30px 70px;
    justify-content: space-between;
}

.navbar-items {
    list-style: none;
    display: flex;
    padding-top: 10px;
}

.item:first-child {
    padding-right: 30px;
}

.search-area {
    display: flex;
    flex-direction: row;
    border: 1.5px solid #E5E7E9;
    border-radius: 6px;
    padding: 12px 20px;
    width: 220px;
}

.search-area input{
    border: none;
    color: black;
    font-size: 17px;
    display: inline;
    padding-left: 5px;
    width: 100px;
}

/* Content */

.content {
    background: #F4F4F4;
    height: 85vh;
    margin-top: -10px;
    overflow: hidden;
}

.container {
    display: flex;
    
}

.product-display {
    /* width: 780px; */
    height: 520px;
    background-color: #EAEAEA;
    width: 60%;
}

.product-image{
    padding: 120px 100px;
    width: 100%;
    min-width: 20%;
}

.product-desc {
    width: 600px;
    height: 600px;
    display: flex;
    flex-direction: column;
    padding: 50px 60px;
    overflow: scroll;
    padding-right: 120px;
    
}

.description{
    word-spacing: 4px;
    padding-top: 4px;
}

.product-name{
    line-height: 3rem;
}

.color-container{
    display: flex;
    padding-top: 20px;
    padding-bottom: 30px;
    justify-content: flex-start;
    

}

.color-box{
    height: 40px;
    width: 40px;
    border: 1px solid #999;
    border-radius: 8px;
    display: flex;
    margin-right: 20px;
    /* margin-left: 23px ;    */
}

.color-1{

    width: 20px;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
}

.color-2{
    width: 20px;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}

.color-selected {
    border: 1px solid black;
}

.blue {
    background: #76ACA8 ;
}

.pink {
    background: #F6796F ;
}

.purple {
    background: #8076AC;
}

.lightblue{
    background: #6FAAF6;
}

.black{
    background: black;
}

.white{
    background: white;
}

.size-container {
    display: flex;
    align-content: stretch;
    flex-direction: row;
    flex-wrap: wrap ;
    padding-bottom: 30px;
}

.size-box {
    height: 40px;
    width: 40px;
    border: 1px solid #999;
    border-radius: 8px;
    background: transparent;
    color: black;
    margin-right: 15px;
    margin-top: 25px;
}

.selected{
    background: black;
    color: white;
}

.size-number {
    padding-top: 8px;
    padding-left: 11px;
    font-weight: lighter;
}
.search-area input:focus{
    outline: none;
}

@media(max-width:768px){

    body{
        overflow: scroll;
    }

    .navbar {
        display: flex;
        padding: 16px 27px;
        justify-content: space-between;
        padding-bottom: 25px;
        position: sticky;
        top: 0;
        margin: 0;
        overflow-x: hidden;
    }

    .logo{
        padding-top: 10px;
    }

    .logo img{
        height: 20px;
    }

    .navbar-items {
        list-style: none;
        display: flex;
        padding-top: 6px;
        padding-left: 50px;
    }

    .search-area{
        border: none;
        width: 10px;
    }

    .search-area input{
        display: none;
    }

    .item:first-child {
        padding-right: 15px;
    }

    .search-area img{
        padding-left: 10px;
        margin-top: -4px;
       
    }

    .container{
        flex-direction: column;
        width: 100%;
    }

    .product-display {
        /* width: 780px; */
        height: auto;
        background-color: #EAEAEA;
        width: auto;
        
    }
    

    .content {
        background:white;
        margin-top: -10px;
        overflow: scroll;
        display: flex;
        flex-direction: column;
        overflow-x: hidden;

    }

    .product-desc {
        width: 100%;
        display: flex;
        flex-direction: column;
        padding: 50px 30px;
        overflow: visible;
        padding-right: 60px;
        
    }
    
    .l-heading{
        font-weight: bolder;
        font-size: 25px;
        line-height: 35px; 
        order: 1;
    }

    .heading-primary{
        order: 2;
        padding-top: 30px;
    }

    .color-container{
        display: flex;
        order: 3;
        padding-top: 25px;
        margin: 0;
        justify-content: flex-start;
    }

    .res {
        order: 4;
        padding: 0;
    }

    .size-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        padding-bottom: 30px;
        order: 5;
    }

    
    .size-box {
        height: 40px;
        width: 40px;
        border: 1px solid #999;
        border-radius: 8px;
        background: transparent;
        color: black;
        margin-right: 12px;
        margin-top: 25px;
    }
    
    .selected{
        background: black;
        color: white;
    }

    .btn-primary{
        background: #000;
        color: white;
        padding: 20px 80px;
        border-radius: 9px;
        order: 6;
        
        
    }

    .res-desc{
        order: 7;
        padding-top: 30px;
    }

    .res-head{
        order: 8;
        padding-top: 0;
    }

    .more-info{
        order: 9;
    }
}